module rds_enforcer (
        ap_clk,
        ap_rst,
        dds_in_V_V_dout,
        dds_in_V_V_empty_n,
        dds_in_V_V_read,
        dds_out_V_V_din,
        dds_out_V_V_full_n,
        dds_out_V_V_write,
        in_rds_V_V_dout,
        in_rds_V_V_empty_n,
        in_rds_V_V_read,
        out_rds_V_V_din,
        out_rds_V_V_full_n,
        out_rds_V_V_write
)/*synthesis syn_black_box*/;
input   ap_clk;
input   ap_rst;
input  [14:0] dds_in_V_V_dout;
input   dds_in_V_V_empty_n;
output   dds_in_V_V_read;
output  [14:0] dds_out_V_V_din;
input   dds_out_V_V_full_n;
output   dds_out_V_V_write;
input  [0:0] in_rds_V_V_dout;
input   in_rds_V_V_empty_n;
output   in_rds_V_V_read;
output  [1:0] out_rds_V_V_din;
input   out_rds_V_V_full_n;
output   out_rds_V_V_write;
endmodule

