module stereo_mpx (
        ap_clk,
        ap_rst,
        input_V_V_dout,
        input_V_V_empty_n,
        input_V_V_read,
        dds_V_V_dout,
        dds_V_V_empty_n,
        dds_V_V_read,
        rds_V_V_dout,
        rds_V_V_empty_n,
        rds_V_V_read,
        output_V_V_din,
        output_V_V_full_n,
        output_V_V_write
)/*synthesis syn_black_box*/;
input   ap_clk;
input   ap_rst;
input  [16:0] input_V_V_dout;
input   input_V_V_empty_n;
output   input_V_V_read;
input  [14:0] dds_V_V_dout;
input   dds_V_V_empty_n;
output   dds_V_V_read;
input  [7:0] rds_V_V_dout;
input   rds_V_V_empty_n;
output   rds_V_V_read;
output  [19:0] output_V_V_din;
input   output_V_V_full_n;
output   output_V_V_write;
endmodule

